<?php

use IMATHUZH\Qfq\Core\Helper\Path;

require dirname(__DIR__).'/vendor/autoload.php';

Path::setProjectToForm(Path::PROJECT_TO_FORM_PHPUNIT);
Path::setProjectToReport(Path::PROJECT_TO_REPORT_PHPUNIT);
Path::setMainPaths();

// remove old form_phpunit directory and all its content
$absoluteForm = Path::absoluteProject(Path::PROJECT_TO_FORM_PHPUNIT);
if(file_exists($absoluteForm)) {
    $absoluteBackup = Path::join($absoluteForm, Path::FORM_TO_FORM_BACKUP);
    if(file_exists($absoluteBackup)) {
        array_map('unlink', glob("$absoluteBackup/*.db"));
        array_map('unlink', glob("$absoluteBackup/*.file"));
        rmdir($absoluteBackup);
    }
    array_map('unlink', glob("$absoluteForm/*.json"));
    rmdir($absoluteForm);
}